import { INNCrypto } from "./src/interfaces";
import { Cipher, EncryptionKey, OutputFormat, Plaintext, SerializedKey } from "./src/types";
export declare class NNCrypto implements INNCrypto {
    private isReady;
    private init;
    encrypt(key: SerializedKey, plaintext: Plaintext, outputFormat?: OutputFormat): Promise<Cipher>;
    decrypt(key: SerializedKey, cipherData: Cipher, outputFormat?: OutputFormat): Promise<Plaintext>;
    hash(password: string, salt: string): Promise<string>;
    deriveKey(password: string, salt?: string): Promise<EncryptionKey>;
    exportKey(password: string, salt?: string): Promise<SerializedKey>;
    createEncryptionStream(key: SerializedKey): Promise<{
        iv: string;
        stream: TransformStream<import("./src/types").Chunk, Uint8Array>;
    }>;
    createDecryptionStream(key: SerializedKey, iv: string): Promise<TransformStream<Uint8Array, Uint8Array>>;
}
export * from "./src/types";
export * from "./src/interfaces";
